Subject: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP

From: Michael Albinus <[email-masked]>
Date: Sat, 29 Aug 2020 21:12:30 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> Maybe tramp-test05-expand-file-name fails now on MS-Windows. If somebody
>> could check it? If have no MS Windows machine to test.
>
> I tried running "make tramp-tests", but all I get is this:
>
>     GEN      lisp/net/tramp-tests.log
>   Not a Tramp file name: "NUL"
>
> Any suggestions?

Hmm, yes: on MS Windows, the mock trick doesn't work. I hoped, that at
least the tests which do not need a real connection do work.

Well, if you have a remote host reachable via putty, which has also a
/tmp directory, you could try

set REMOTE_TEMPORARY_FILE_DIRECTORY=/plink:user@host:/tmp

prior the make call.

Thanks, and best regards, Michael.